## org.apache.batik.dom
Class AbstractParentNode.ElementsByTagName

    java.lang.Object
      org.apache.batik.dom.AbstractParentNode.ElementsByTagName

All Implemented Interfaces:
  org.w3c.dom.NodeList

Enclosing class:
  AbstractParentNode

    protected class AbstractParentNode.ElementsByTagName

extends java.lang.Object
implements org.w3c.dom.NodeList

To manage a list of nodes.

Field Summary
`protected java.lang.String` `name` The name identifier.
`protected int` `size` The number of nodes.
`protected org.w3c.dom.Node[]` `table` The table.

Constructor Summary
`AbstractParentNode.ElementsByTagName(java.lang.String n)` Creates a new ElementsByTagName object.

Method Summary
`protected void` `append(org.w3c.dom.Node n)` Appends a node to the list.
`int` `getLength()` DOM: Implements `NodeList.getLength()`.
`protected void` `initialize()` Initializes the list.
`void` `invalidate()` Invalidates the list.
`org.w3c.dom.Node` `item(int index)` DOM: Implements `NodeList.item(int)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected org.w3c.dom.Node[] table

  The table.

### size

    protected int size

  The number of nodes.

### name

    protected java.lang.String name

  The name identifier.

Constructor Detail

### AbstractParentNode.ElementsByTagName

    public AbstractParentNode.ElementsByTagName(java.lang.String n)

  Creates a new ElementsByTagName object.

Method Detail

### item

    public org.w3c.dom.Node item(int index)

  DOM: Implements `NodeList.item(int)`.

  Specified by:
    `item` in interface `org.w3c.dom.NodeList`

### getLength

    public int getLength()

  DOM: Implements `NodeList.getLength()`.

  Specified by:
    `getLength` in interface `org.w3c.dom.NodeList`
  Returns:
    `size`.

### invalidate

    public void invalidate()

  Invalidates the list.

### append

    protected void append(org.w3c.dom.Node n)

  Appends a node to the list.

### initialize

    protected void initialize()

  Initializes the list.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.